Foreman - Refactor #15411

Move SmartProxy.smart_proxy_ids_for to Host class

06/14/2016 09:56 AM - Shimon Shtein

Status: Closed
Priority: Normal
Assignee: Ondrej Prazak
Category:
Target version: 1.18.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3611
Description

The method deals with complex relation from hosts table, it should probably be there.
The method should be extendable, so other types of relationships between hosts and smart proxies could be added easily.

Related issues:

Related to Foreman - Tracker #9596: Extract Puppet functionality to a plugin

New 03/01/2015

Associated revisions

Revision 02a26515 - 04/12/2018 06:46 PM - Ondiej Prazak

Fixes #15411 - Move smart_proxy_ids_for to Host

History

#1 - 06/14/2016 09:56 AM - Shimon Shtein

- Related to Tracker #9596: Extract Puppet functionality to a plugin added

#2 - 06/24/2016 05:58 AM - The Foreman Bot
- Status changed from New to Ready For Testing

- Assignee set to Ondrej PraZzak

- Pull request https://github.com/theforeman/foreman/pull/3611 added

#3 - 07/20/2017 10:30 AM - Marek Hulan
- Target version set to 1.17.0-RC2

#4 - 08/08/2017 08:36 AM - Marek Hulan
- Target version changed from 1.17.0-RC2 to 1.18.0-RC2

#5 - 08/29/2017 05:57 AM - Marek Hulan
- Target version changed from 1.18.0-RC2 to 214

#6 - 09/20/2017 09:27 AM - Marek Hulan
- Target version changed from 214 to 1.16.0-RC2

#7 - 10/23/2017 03:09 PM - Marek Hulan
- Target version changed from 1.16.0-RC2 to 1.16.0-RC1

#8 - 10/30/2017 01:50 PM - Marek Hulan
- Target version changed from 1.16.0-RC1 to 1.16.2

#9 - 11/21/2017 07:52 AM - Marek Hulan
- Target version changed from 1.16.2to 1.16.1

#10 - 12/12/2017 11:51 AM - Marek Hulan
- Target version changed from 1.16.1 to 238

#11 - 04/12/2018 06:47 PM - Anonymous

- translation missing: en.field_release set to 330

#12 - 04/12/2018 07:02 PM - Ondiej Prazak
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 02a2651550bf83a2e383tb6947bc150185181a8d.

05/18/2024

22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/02a2651550bf83a2e383fb6947bc150185181a8d
http://www.tcpdf.org

